<!-- Navbar -->
<nav class="main-header navbar navbar-expand navbar-white navbar-light">
    <!-- Left navbar links -->
    <ul class="navbar-nav">
        <li class="nav-item">
            <a class="nav-link" (click)="toggleMenuSidebar.emit()">
                <i class="fas fa-bars"></i>
            </a>
        </li>
    </ul>

    <!-- SEARCH FORM
    <form class="form-inline ml-3" [formGroup]="searchForm">
        <div class="input-group input-group-sm">
            <input class="form-control form-control-navbar"
                type="search"
                [placeholder]="'Search' | translate"
                aria-label="Search"/>
            <div class="input-group-append">
                <button class="btn btn-navbar" type="submit">
                    <i class="fas fa-search"></i>
                </button>
            </div>
        </div>
    </form>-->

    <!-- Right navbar links -->
    <ul class="navbar-nav ml-auto">
        <!-- User menu -->
        <li class="nav-item user-menu" ngbDropdown *ngIf="user$ | async; let user;">
            <a class="nav-link" role="button" ngbDropdownToggle id="dropdownUser" style="cursor: pointer;">
                <img [src]="user.avatar ? user.avatar : '/assets/img/avatar.png'" class="user-image img-circle elevation-2" alt="User Image">
                <span class="d-none d-md-inline mr-2">{{ user.fullName }}</span>
            </a>
            <ul ngbDropdownMenu aria-labelledby="dropdownUser" class="dropdown-menu dropdown-menu-lg dropdown-menu-right">
                <!-- User image -->
                <li class="user-header bg-primary">
                    <img [src]="user.avatar ? user.avatar : '/assets/img/avatar.png'" class="img-circle elevation-2" alt="User Image">
                    <p>
                        {{ user.fullName }} - {{ user.role.name }}
                        <small>{{ 'Member since' | translate }} {{ 'Date' }}</small>
                    </p>
                </li>
                <!-- Menu Footer-->
                <li class="user-footer">
                    <a href="#" class="btn btn-default btn-flat" (click)="$event.preventDefault(); openProfile.emit();">{{ 'Profile' | translate }}</a>
                    <a href="#" class="btn btn-default btn-flat float-right" (click)="$event.preventDefault(); doLogout();">{{ 'Logout' | translate }}</a>
                </li>
            </ul>
        </li>
    </ul>
</nav>
<!-- /.navbar -->
